Subject: Re: [httpapi] Genart last call review of draft-ietf-httpapi-rfc7807bis-04

From: Mark Nottingham <[email-masked]>
Date: Sun, 30 Oct 2022 08:04:53 +0000

Hi Pete,

Thanks for the review. Seems reasonable; we'll revisit this wording. I've recorded this at:
  https://github.com/ietf-wg-httpapi/rfc7807bis/issues/57

Cheers,

> On 27 Oct 2022, at 11:13 pm, Pete Resnick via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Pete Resnick
> Review result: Ready
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-httpapi-rfc7807bis-04
> Reviewer: Pete Resnick
> Review Date: 2022-10-27
> IETF LC End Date: 2022-11-03
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: Ready to go; one comment below.
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits/editorial comments:
> 
> This paragraph in section 4 struck me oddly:
> 
>   An extension member (see Section 3.2) MAY occur in the Problem field
>   if its name is compatible with the syntax of Dictionary keys (see
>   Section 3.2 of [STRUCTURED-FIELDS]) and if the defining problem type
>   specifies a Structured Type to serialize the value into.
> 
> That almost sounds like what you want to say is:
> 
>   If an extension member (see Section 3.2) occurs in the Problem field,
>   its name MUST be compatible with the syntax of Dictionary keys (see
>   Section 3.2 of [STRUCTURED-FIELDS]) and the defining problem type
>   MUST specify a Structured Type to serialize the value into.
> 
> I'm curious if you are making a normative statement that would get lost in the
> current form. But I'm not sure what the high-order bit here is, so I leave it
> to you.
> 
> 

--
Mark Nottingham   https://www.mnot.net/